Properties Methods Events Direct Link

# Class Ext.chart.Axis

Package: | Ext.chart
Defined In: | Chart.js
Class: | Axis
Subclasses: | CategoryAxis, NumericAxis, TimeAxis
Extends: | Object

Defines a CartesianChart's vertical or horizontal axis.

## Public Properties

Property | Defined By
--- | ---
| hideOverlappingLabels : Boolean If true, labels that overlap previously drawn labels on the axis will be hidden. | Axis
| labelFunction : String A string reference to the globally-accessible function that may be called to determine each of the label values for t... A string reference to the globally-accessible function that may be called to determine each of the label values for this axis. | Axis
| labelSpacing : Number The space, in pixels, between labels on an axis. | Axis
| orientation : String The direction in which the axis is drawn. May be "horizontal" or "vertical". | Axis
| reverse : Boolean If true, the items on the axis will be drawn in opposite direction. | Axis
| type : String The type of axis. | Axis

## Public Methods

This class has no public methods.

## Public Events

This class has no public events.